/***************************************************************************
 *   Copyright (C) 2010 by                                                 *
 *                                                                         *
 *   catWorkX GmbH, Schellerdamm 16, 21079 Hamburg                         *
 *   Sebastian Gerdes <sebastian.gerdes_AT_catworkx.de>                    *
 *                                                                         *
 *   This code is part of the Jira2Zarafa Plugin, which is able to add an  *
 *   all-day appointment in Zarafa. This all-day appointment will be added *
 *   when you set a due date and an assignee in a Jira issue.              *
 *                                                                         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Affero General Public License as        *
 *   published by the Free Software Foundation; either version 3           *
 *   of the License, or (at your option) any later version.                *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          *
 *   GNU AFFERO GENERAL PUBLIC LICENSE for more details.                   *
 *                                                                         *
 *   You should have received a copy of the GNU Affero General Public      *
 *   License along with this program.  If not, see                         *
 *   <http://www.gnu.org/licenses/>                                        *
 *                                                                         *
 ***************************************************************************/


package de.catworkx.jira.plugin.zarafa;

public class AppointmentSOAPPortTypeProxy implements de.catworkx.jira.plugin.zarafa.AppointmentSOAPPortType {
  private String _endpoint = null;
  private de.catworkx.jira.plugin.zarafa.AppointmentSOAPPortType appointmentSOAPPortType = null;
  
  public AppointmentSOAPPortTypeProxy() {
    _initAppointmentSOAPPortTypeProxy();
  }
  
  public AppointmentSOAPPortTypeProxy(String endpoint) {
    _endpoint = endpoint;
    _initAppointmentSOAPPortTypeProxy();
  }
  
  private void _initAppointmentSOAPPortTypeProxy() {
    try {
      appointmentSOAPPortType = (new de.catworkx.jira.plugin.zarafa.AppointmentSOAPLocator()).getappointmentSOAPPort();
      if (appointmentSOAPPortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)appointmentSOAPPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)appointmentSOAPPortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (appointmentSOAPPortType != null)
      ((javax.xml.rpc.Stub)appointmentSOAPPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public de.catworkx.jira.plugin.zarafa.AppointmentSOAPPortType getAppointmentSOAPPortType() {
    if (appointmentSOAPPortType == null)
      _initAppointmentSOAPPortTypeProxy();
    return appointmentSOAPPortType;
  }
  
  public void addAppointment(java.lang.String username, java.lang.String subject, java.lang.String startdate, java.lang.String body) throws java.rmi.RemoteException{
    if (appointmentSOAPPortType == null)
      _initAppointmentSOAPPortTypeProxy();
    appointmentSOAPPortType.addAppointment(username, subject, startdate, body);
  }
  
  public void delAppointment(java.lang.String username, java.lang.String subject, java.lang.String startdate) throws java.rmi.RemoteException{
    if (appointmentSOAPPortType == null)
      _initAppointmentSOAPPortTypeProxy();
    appointmentSOAPPortType.delAppointment(username, subject, startdate);
  }
  
  
}
